package com.jcg.servlet.async;

import javax.servlet.AsyncEvent;
import javax.servlet.AsyncListener;

public class MyAsyncListener implements AsyncListener {	

	// Public Constructor Is Required By Servlet Spec
	public MyAsyncListener() {}

	public void onComplete(AsyncEvent ae) {
		System.out.println("AsyncListener :: 'onComplete' For Request?= " + ae.getAsyncContext().getRequest().getAttribute("ServletName"));
	}

	public void onTimeout(AsyncEvent ae) {
		System.out.println("AsyncListener :: 'onTimeout' For Request");
	}

	public void onError(AsyncEvent ae) {
		System.out.println("AsyncListener :: 'onError' For Request");
	}

	public void onStartAsync(AsyncEvent ae) {
		System.out.println("AsyncListener :: 'onStartAsync'");
	}
}